@keyframes movein {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes fadeinout{
    50% {
        opacity: 0.05;
    };
    100% {
        opacity: 0;
    }
}

.inverted {
    mix-blend-mode: difference;
}

body {
    background-color: #3c3c41;
    background-image: url(bg.png);
    background-size: cover;
    color: rgb(234, 237, 241);
    text-align: center;
    font: 400 16px "Space Mono", monospace;
}

#motd {
    display: flex;
    height: fit-content;
    width: fit-content;
    align-items: center;
    gap: 20px;
    font-size: 20px;
    margin: 25vh auto;
    padding: 20px;
    background-color: rgb(30, 30, 36);
    box-shadow: 10px 10px 50px #000000e3;
    border-radius: 20px;
    border: 2px;
    transform: translateY(20px);
    opacity: 0;
}

#motd.animate {
    animation: movein 1s ease-out forwards;
}

#blog {
    display: flex;
    height: fit-content;
    width: fit-content;
    align-items: center;
    gap: 20px;
    font-size: 20px;
    margin: 25vh auto;
    padding: 20px;
    background-color: #2020247a;
    box-shadow: 5px 5px 50px #000000;
    border-radius: 20px;
    transform: translateY(20px);
    opacity: 0;
}

#blog.animate {
    animation: movein 1s ease-out forwards;
}

/* when the css genuinely starts pissing you off because for some reason its impossible to do one fucking action */
#c1 {
    display: flex;
    width: 99%;
    height: fit-content;
    max-height: 25%;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin: auto;
    position: absolute;
    top: 50%;
}

#button {
    display: block;
    background-color: #3c3c41;
    color: rgb(234, 237, 241);
    padding: 10px 10px;
    font-size: 24px;
}

#pfp {
    max-width: 80px;
    max-height: 80px;
    border-radius: 5px;
    border: 2px;
}

a {
    color: lightblue;
}

a:visited {
    color: plum;
}

a:invalid {
    color: lightsalmon;
}

#decob {
    opacity: 0;
    background-color: #000000;
    position: fixed;
    height: 1000px;
    width: 1000px;
    z-index: -1;
    color: #000000;
    transform: translate(0,0);
    mask-image: radial-gradient(
        circle at center,
        black 0%,
        transparent 70%
    );
    mask-size: 100% 100%;
    mask-repeat: no-repeat;
    animation: fadeinout 20s ease-out forwards;
    transition: transform 30s ease-out;
}